/*
 * Copyright © 2021 Fachhochschule für die Wirtschaft (FHDW) Hannover
 *
 * This file is part of ipspiel21-freizeit.
 *
 * Ipspiel21-freizeit is free software: you can redistribute it and/or modify it under the terms of the GNU General
 * Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any
 * later version.
 *
 * Ipspiel21-freizeit is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
 * implied * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along with ipspiel21-freizeit. If not, see
 * <http://www.gnu.org/licenses/>.
 */
module de.fhdw.gaming.ipspiel21.freizeit {
    exports de.fhdw.gaming.ipspiel21.freizeit.domain.impl;
    exports de.fhdw.gaming.ipspiel21.freizeit.domain.factory;
    exports de.fhdw.gaming.ipspiel21.freizeit.moves;
    exports de.fhdw.gaming.ipspiel21.freizeit.moves.factory;

    requires transitive de.fhdw.gaming.core;
    requires de.fhdw.gaming.ipspiel21.evolution;

    uses de.fhdw.gaming.ipspiel21.freizeit.domain.factory.FreizeitStrategyFactory;

    provides de.fhdw.gaming.ipspiel21.freizeit.domain.factory.FreizeitStrategyFactory
            with de.fhdw.gaming.ipspiel21.freizeit.strategy.FreizeitBalancedSoccerFavoriteStrategyFactory,
            de.fhdw.gaming.ipspiel21.freizeit.strategy.FreizeitBalancedCinemaFavoriteStrategyFactory;

    provides de.fhdw.gaming.core.domain.GameBuilderFactory
            with de.fhdw.gaming.ipspiel21.freizeit.domain.impl.FreizeitGameBuilderFactoryImpl;

    opens de.fhdw.gaming.ipspiel21.freizeit.domain.impl;
    opens de.fhdw.gaming.ipspiel21.freizeit.moves;
}
